## kaboxer 1.1.4

=== dh-kaboxer/Makefile ===
#! /usr/bin/make -f

MANPAGES=dh_kaboxer.1

all: $(MANPAGES)

%.1: %
	pod2man $^ $@

clean:
	rm -f $(MANPAGES)

=== man/Makefile ===
#! /usr/bin/make -f

MDFILES=$(wildcard *.?.md)
MANPAGES=$(basename $(MDFILES))

all: $(MANPAGES)

%.1: %.1.md Makefile
	pandoc $< -f markdown-smart -s -t man > $@

%.5: %.5.md Makefile
	pandoc $< -f markdown-smart -s -t man > $@

clean:
	rm -f $(MANPAGES)

=== debian/changelog ===
kaboxer (1.1.4) kali-dev; urgency=medium

  * Update CI pipeline
  * Replace CI_BUILD_TOKEN with CI_JOB_TOKEN
  * tox: Add python 3.11, drop python 3.7 and 3.8
  * Update help message
  * Nitpicks in d/control
  * Fix test suite
  * Fix git fetch usage

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 19 May 2023 22:32:56 +0700

kaboxer (1.1.3) kali-dev; urgency=medium

  * tox: Add python 3.10
  * Add unit tests for parse_version
  * Fix support for current,latest versions

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 27 Jan 2023 15:05:16 +0700

kaboxer (1.1.2) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * On build failure, output build logs
  * Mount icons in usr/local/ rather than usr
  * Set the icons/themes bind mounts read-only
  * Check that icons/themes dirs exist before mounting it

  [ Daniel Ruiz de Alegría ]
  * Mount theme folders for gui mode

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 04 Nov 2021 09:39:05 +0700

kaboxer (1.1.1) kali-dev; urgency=medium

  * tests: Set iptables legacy only for GitLab CI

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 27 Sep 2021 14:29:13 +0700

kaboxer (1.1.0) kali-dev; urgency=medium

  * hello-kbx: Minor updates to hello-allinone.kaboxer.yaml
  * hello-kbx: Format hello with black
  * hello-kbx: Add a 'version' command to hello
  * hello-kbx: Get app version from app itself
  * hello-kbx: Mention the 'exit' command in the cli
  * hello-kbx: Bring back prompt_toolkit
  * hello-kbx: Rename hello-cli manual desktop file
  * hello-kbx: Various fixes in hello
  * hello-kbx: Update Debian install files
  * hello-kbx: Install hello cli helpers as well
  * hello-kbx: Simplify debian/rules, drop DH_VERBOSE
  * hello-kbx: Bump kaboxer requirement to 1.0
  * hello-kbx: Set Rules-Requires-Root: no
  * hello-kbx: Bump version
  * tests: Attempt to clarify a bit from where run.sh is called
  * tests: run_command returns a CompletedProcess object
  * tests: run_command captures output by default
  * tests: Add test to check if host network works
  * Use iptables-legacy to fix the CI
  * Nitpicks in the start/stop helper
  * Add a double-dash in helpers to allow passing dashed options to apps
  * Flush stdin before asking to press enter for exit
  * setup_docker() shouldn't return anything
  * Rework docker connection setup
  * Improve error message a bit when user is not part of the kaboxer group
  * Drop --reuse-container, use information from kaboxer.yaml instead
  * Checks that a container exists before trying to reuse it
  * Give a name to containers that are meant to be reused
  * Comment out all the part regarding reuse_container in gui mode
  * Make reuse_container work without tty (CI)
  * Add test cases for reuse_container
  * Document kaboxer group

 -- Arnaud Rebillout <arnaudr@kali.org>  Sat, 25 Sep 2021 12:53:08 +0700

kaboxer (1.0.1) kali-dev; urgency=medium

  * create_xauth(): Cosmetics
  * create_xauth(): Create empty .docker.xauth file if missing
  * create_xauth(): Rewrite without pipes
  * create_xauth(): Add a comment
  * kaboxer tests: Add build_and_install()
  * kaboxer tests: Add build_and_save()
  * kaboxer tests: Nitpick, rename two tests
  * Refactor kaboxer tests for cli_helpers and desktop_files
  * kaboxer run: Takes arguments rather than executable+arguments
  * Add test for kaboxer run with arguments
  * Make helper scripts forward args to kaboxer run
  * Increase test coverage for cli helpers
  * Allow prompt-before-exit to fail
  * Completely get rid of prompt_toolkit
  * Add my name here and there, plus Raphaël name as well
  * Bump copyright years
  * Sync kaboxer.sample.yaml and man/kaboxer.yaml.5.md

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 13 May 2021 18:04:26 +0700

kaboxer (1.0.0) kali-dev; urgency=medium

  * Bump upstream version (better late than never)
  * Remove '--reuse-container' from 'kaboxer stop' command in desktop file
  * Factorize run/stop commands generation in helpers
  * kaboxer.sample.yaml: Update desktop file names
  * Add aliases: start=run, ls=list
  * Add support for command-line helpers
  * Rework gen_desktop_files for readability
  * gen_desktop_files: Drop unused param, reorder
  * One last pass on gen_desktop_file to simplify it more
  * Give some love to clean_app()
  * Give some love to _list_{cli_helpers,desktop_files}
  * Create helpers to avoid duplicating filename definitions
  * Some variable renaming for consistency
  * Drop component from helper filenames if there's only one component
  * Create another helper to give the icon name
  * Various fixes found by the test suite
  * Add a brief description to filename helpers
  * Add helpers to get ALL auto-generated files
  * Adjust helper argument for headless mode (use start instead of run)
  * Rename a variable for readability
  * Make sure to install cli helpers with executable bit
  * Add forgotten desktop file in kaboxer tests
  * Cleanup code for install tests
  * Add unit tests for filename helpers
  * Add cli helpers integration tests
  * More refactoring in install tests

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 11 May 2021 15:09:01 +0700

kaboxer (0.9.0) kali-dev; urgency=medium

  * push_image: Use DockerBackend methods to get image names
  * gitlab-ci: Update the default remote image name
  * gitlab-ci: Don't run on tags
  * gitlab-ci: Disable i386 package builds
  * Revert "gitlab-ci: Disable i386 package builds"
  * Rename method find_config_for_build_apps to find_configs_for_build_cmds
  * Create a separate method to list configs in a given directory (part 1)
  * Create a separate method to list configs in a given directory (part 2)
  * Create a separate method to find config for an app in a diretory
  * find_config*: Rename some variables
  * find_config*: Settle for os.path.isfile() in all methods
  * find_configs_in_dir: Rework it a bit
  * find_configs_in_dir: Ignore yaml if app.id is None
  * find_configs_for_build_cmds: Return an array instead of a dict


=== hello-kbx/debian/changelog ===
hello-kbx (0.8-1) unstable; urgency=medium

  * New version. 

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 14 May 2021 14:44:06 +0700

hello-kbx (0.7-1) unstable; urgency=medium

  * Rename kbx-hello into hello-kbx.
  * Drop kbx from the name of the kaboxer applications.

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 17 Dec 2020 19:12:22 +0100

hello-kbx (0.6-1) unstable; urgency=medium

  * Update to current kaboxer (0.6) with updated testsuite.

 -- Roland Mas <roland.mas@gnurandal.com>  Tue, 16 Jun 2020 17:48:33 +0200

kbx-hello (0.4.0-1) unstable; urgency=medium

  * Update to current kaboxer (0.4), demonstrating the use of kaboxer as a
    standalone framework.

 -- Roland Mas <roland.mas@gnurandal.com>  Tue, 03 Mar 2020 16:47:12 +0100

kbx-hello (0.3.3-1) unstable; urgency=medium

  * Added autopkgtests.

 -- Roland Mas <roland.mas@gnurandal.com>  Fri, 14 Feb 2020 14:39:30 +0100

kbx-hello (0.3.0-1) unstable; urgency=medium

  * Update to current kaboxer (0.3.0), demonstrating the multiple
    components per image and the starting of a component in a running container.

 -- Roland Mas <roland.mas@gnurandal.com>  Mon, 18 Nov 2019 16:29:34 +0100

kbx-hello (0.1.0-1) unstable; urgency=medium

  * Demo for current kaboxer (0.1.0).

 -- Roland Mas <roland.mas@gnurandal.com>  Thu, 31 Oct 2019 18:06:41 +0100

kbx-hello (0.0.1-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Thu, 04 Jul 2019 17:14:42 +0200

=== debian/control ===
Source: kaboxer
Section: devel
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Roland Mas <lolando@debian.org>,
 Raphaël Hertzog <raphael@offensive-security.com>,
 Arnaud Rebillout <arnaudr@kali.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pandoc,
 python3,
 python3-docker,
 python3-dockerpty,
 python3-git,
 python3-jinja2,
 python3-packaging,
 python3-requests,
 python3-responses <!nocheck>,
 python3-tabulate,
 python3-yaml,
 tox <!nocheck>,
Standards-Version: 4.5.1
Homepage: https://gitlab.com/kalilinux/tools/kaboxer
Vcs-Git: https://gitlab.com/kalilinux/tools/kaboxer.git
Vcs-Browser: https://gitlab.com/kalilinux/tools/kaboxer

Package: kaboxer
Architecture: all
Depends:
 docker.io | docker-ce,
 libfile-copy-recursive-perl,
 libyaml-libyaml-perl,
 sudo,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
Description: Framework to manage applications in containers
 Built for Kali Linux (and other Debian-based) systems, Kaboxer is a framework
 providing seamless integrations between applications shipped in containers and
 the host system.
 .
 It allows shipping applications that are hard to package properly or that need
 to run in isolation from the rest of the system.
 .
 The "kaboxer" command line tool can be used to:
 .
  - build container images
  - retrieve container images
  - run applications out of those containers
  - integrate those applications in the host system

=== hello-kbx/debian/control ===
Source: hello-kbx
Section: devel
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13), kaboxer (>= 1.0)
Standards-Version: 3.9.8
Rules-Requires-Root: no

Package: hello-server-kbx
Architecture: all
Depends: ${misc:Depends}
Description: Demonstrator for kaboxer (server part)
 kaboxer is a framework for deploying applications that are hard to
 package properly.
 .
 hello-kbx is a sample app that uses the kaboxer framework.
 .
 This package contains the server part.

Package: hello-cli-kbx
Architecture: all
Depends: ${misc:Depends}
Description: Demonstrator for kaboxer (CLI part)
 kaboxer is a framework for deploying applications that are hard to
 package properly.
 .
 hello-kbx is a sample app that uses the kaboxer framework.
 .
 This package contains the command-line client.

Package: hello-gui-kbx
Architecture: all
Depends: ${misc:Depends}
Description: Demonstrator for kaboxer (GUI part)
 kaboxer is a framework for deploying applications that are hard to
 package properly.
 .
 hello-kbx is a sample app that uses the kaboxer framework.
 .
 This package contains the graphical client.

Package: hello-allinone-kbx
Architecture: all
Depends: ${misc:Depends}
Description: Demonstrator for kaboxer (all in one container)
 kaboxer is a framework for deploying applications that are hard to
 package properly.
 .
 hello-kbx is a sample app that uses the kaboxer framework.
 .
 This package contains the full container, with the server and both
 clients.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_configure:
	# Ensure we have the correct version in the Python metadata
	echo $(DEB_VERSION_UPSTREAM) >VERSION

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	tox $(shell tox -l | grep unit-tests | sed -e 's/^/-e /' | tr '\n' ' ')
endif

override_dh_compress:
	dh_compress -X hello-kbx

=== hello-kbx/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=kaboxer --buildsystem=kaboxer

=== debian/tests/control ===
Tests: run-tests
Restrictions: needs-root, allow-stderr
Depends: kaboxer

=== hello-kbx/debian/tests/control ===
Tests: test-service test-cli
Depends: hello-server-kbx, hello-cli-kbx, expect

Tests: test-allinone
Depends: hello-allinone-kbx, expect
